<?xml version="1.0" encoding="utf-8" ?>

<enumerator name="Do16_Diag1_Enum" baseType="byte" isFlag="false" xmlns="EnumSchema">
	<consts>
		<const>
			<name>NO_POWER</name>
			<value>0</value>
			<desc-ru>NO_POWER</desc-ru>
			<desc-en>NO_POWER</desc-en>
		</const>
		<const>
			<name>NO_ERROR</name>
			<value>1</value>
			<desc-ru>NO_ERROR</desc-ru>
			<desc-en>NO_ERROR</desc-en>
		</const>
		<const>
			<name>P_KEY_ERROR</name>
			<value>2</value>
			<desc-ru>P_KEY_ERROR</desc-ru>
			<desc-en>P_KEY_ERROR</desc-en>
		</const>
		<const>
			<name>M_KEY_ERROR</name>
			<value>3</value>
			<desc-ru>M_KEY_ERROR</desc-ru>
			<desc-en>M_KEY_ERROR</desc-en>
		</const>
		<const>
			<name>GENERAL_MALFUNCTION_OF_DIAGNOSTIC_CHANNELS</name>
			<value>4</value>
			<desc-ru>GENERAL_MALFUNCTION_OF_DIAGNOSTIC_CHANNELS</desc-ru>
			<desc-en>GENERAL_MALFUNCTION_OF_DIAGNOSTIC_CHANNELS</desc-en>
		</const>
		<const>
			<name>MALFUNCTION_OF_CHANNEL_DIAGNOSTIC</name>
			<value>5</value>
			<desc-ru>MALFUNCTION_OF_CHANNEL_DIAGNOSTIC</desc-ru>
			<desc-en>MALFUNCTION_OF_CHANNEL_DIAGNOSTIC</desc-en>
		</const>
		<const>
			<name>FAILED_TO_SET_CHANNEL_TO_DESIRED_STATE</name>
			<value>6</value>
			<desc-ru>FAILED_TO_SET_CHANNEL_TO_DESIRED_STATE</desc-ru>
			<desc-en>FAILED_TO_SET_CHANNEL_TO_DESIRED_STATE</desc-en>
		</const>
		<const>
			<name>GENERAL_CONTROL_ERROR</name>
			<value>7</value>
			<desc-ru>GENERAL_CONTROL_ERROR</desc-ru>
			<desc-en>GENERAL_CONTROL_ERROR</desc-en>
		</const>
		<const>
			<name>SAFETY_STATE_SET_ERROR</name>
			<value>8</value>
			<desc-ru>SAFETY_STATE_SET_ERROR</desc-ru>
			<desc-en>SAFETY_STATE_SET_ERROR</desc-en>
		</const>
		<const>
			<name>CHANNEL_MASKED</name>
			<value>253</value>
			<desc-ru>CHANNEL_MASKED</desc-ru>
			<desc-en>CHANNEL_MASKED</desc-en>
		</const>
	</consts>
</enumerator>